## osmocom-dahdi-linux 0.0~git20250226.6dada77

=== drivers/dahdi/datamods/Makefile ===
.EXPORT_ALL_VARIABLES:
MODULES= \
	hdlc_cisco  hdlc_generic  hdlc_raw      syncppp \
	hdlc_fr     hdlc_ppp      hdlc_raw_eth  


PWD=$(shell pwd)

MODULESO:=$(MODULES:%=%.o)
MODULESKO:=$(MODULES:%=%.ko)
KMAKE = $(MAKE) -C $(KSRC) KBUILD_EXTMOD=$(PWD)
KMAKE_INST = $(KMAKE) \
  INSTALL_MOD_PATH=$(INSTALL_PREFIX) INSTALL_MOD_DIR=misc modules_install

obj-m := $(MODULESO)
#obj-m:=hdlc_raw.o hdlc_cisco.o
#obj-m := hdlc_cisco.o hdlc_cisco.mod.o hdlc_fr.o hdlc_generic.o hdlc_ppp.o hdlc_raw.o hdlc_raw_eth.o hdlc_raw.mod.o hdlc_x25.o

all: 
	@echo "You don't want to do make here.  Do it from up above"

clean: 
	$(KMAKE) clean

install: $(MODULESKO)
	$(KMAKE_INST)

datamods:
	@echo "To build: $(obj-m)"
	@echo $(KSRC)
	@if [ -z "$(KSRC)" -o ! -d "$(KSRC)" ]; then echo "You do not appear to have the sources for the $(KVERS) kernel installed."; exit 1 ; fi
	$(KMAKE) modules

=== drivers/dahdi/firmware/Makefile ===
#
# DAHDI
# 
# Makefile for firmware downloading/installation
#
# Copyright (C) 2007-2013, Digium, Inc.
#
# Joshua Colp <jcolp@digium.com>
#
#
# See http://www.asterisk.org for more information about
# the Asterisk project. Please do not directly contact
# any of the maintainers of this project for assistance;
# the project provides a web site, mailing lists and IRC
# channels for your use.
#
# This program is free software, distributed under the terms of
# the GNU General Public License Version 2 as published by the
# Free Software Foundation. See the LICENSE file included with
# this program for more details.
#

.PHONY: dist-clean clean all uninstall have_download install object-build hotplug-install hotplug-dirs hotplug-uninstall make_firmware_object firmware-loaders

OCT6114_032_VERSION:=1.05.01
OCT6114_064_VERSION:=1.05.01
OCT6114_128_VERSION:=1.05.01
OCT6114_256_VERSION:=1.05.01
TC400M_VERSION:=MR6.12
VPMADT032_VERSION:=1.25.0
HX8_VERSION:=2.06
VPMOCT032_VERSION:=1.12.0
WCT820_VERSION:=1.76
TE133_VERSION:=7a001e
TE134_VERSION:=780017
TE435_VERSION:=13001e
TE436_VERSION:=10017
A8A_VERSION:=1d0017
A8B_VERSION:=1f001e
A4A_VERSION:=a0017
A4B_VERSION:=d001e

FIRMWARE_URL:=https://downloads.digium.com/pub/telephony/firmware/releases

ALL_FIRMWARE=FIRMWARE-OCT6114-032 FIRMWARE-OCT6114-064 FIRMWARE-OCT6114-128 FIRMWARE-OCT6114-256
ALL_FIRMWARE+=FIRMWARE-TC400M FIRMWARE-HX8 FIRMWARE-VPMOCT032 FIRMWARE-TE820 FIRMWARE-TE133 FIRMWARE-TE134
ALL_FIRMWARE+=FIRMWARE-A8A FIRMWARE-A8B FIRMWARE-A4A FIRMWARE-A4B FIRMWARE-TE435 FIRMWARE-TE436

# Firmware files should use the naming convention: dahdi-fw-<base name>-<sub name>-<version> or dahdi-fw-<base name>-<version>
# First example: dahdi-fw-oct6114-064-1.05.01
# This means this is version 1.05.01 of the oct6114-064 firmware
# Second example: dahdi-fw-tc400m-MR5.6
# This means this is version MR5.6 of the tc400m firmware

# Build a list of firmware package filenames we need
FIRMWARE:=$(ALL_FIRMWARE:FIRMWARE-OCT6114-032=dahdi-fw-oct6114-032-$(OCT6114_032_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-OCT6114-064=dahdi-fw-oct6114-064-$(OCT6114_064_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-OCT6114-128=dahdi-fw-oct6114-128-$(OCT6114_128_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-OCT6114-256=dahdi-fw-oct6114-256-$(OCT6114_256_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TC400M=dahdi-fw-tc400m-$(TC400M_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-HX8=dahdi-fw-hx8-$(HX8_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-VPMOCT032=dahdi-fw-vpmoct032-$(VPMOCT032_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TE820=dahdi-fw-te820-$(WCT820_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TE133=dahdi-fw-te133-$(TE133_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TE134=dahdi-fw-te134-$(TE134_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TE435=dahdi-fw-te435-$(TE435_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-TE436=dahdi-fw-te436-$(TE436_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-A8A=dahdi-fw-a8b-$(A8B_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-A8B=dahdi-fw-a8a-$(A8A_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-A4A=dahdi-fw-a4b-$(A4B_VERSION).tar.gz)
FIRMWARE:=$(FIRMWARE:FIRMWARE-A4B=dahdi-fw-a4a-$(A4A_VERSION).tar.gz)

FWLOADERS:=dahdi-fwload-vpmadt032-$(VPMADT032_VERSION).tar.gz

# Build a list of object files if hotplug will not be used
OBJECT_FILES:=$(ALL_FIRMWARE:FIRMWARE-OCT6114-032=dahdi-fw-oct6114-032.o)
OBJECT_FILES:=$(ALL_FIRMWARE:FIRMWARE-OCT6114-064=dahdi-fw-oct6114-064.o)
OBJECT_FILES:=$(OBJECT_FILES:FIRMWARE-OCT6114-128=dahdi-fw-oct6114-128.o)
OBJECT_FILES:=$(OBJECT_FILES:FIRMWARE-OCT6114-256=dahdi-fw-oct6114-256.o)
OBJECT_FILES:=$(OBJECT_FILES:FIRMWARE-TC400M=dahdi-fw-tc400m.o)
OBJECT_FILES:=$(OBJECT_FILES:FIRMWARE-HX8=dahdi-fw-hx8.o)
OBJECT_FILES:=$(OBJECT_FILES:FIRMWARE-VPMOCT032=dahdi-fw-vpmoct032.o)

# Force usage of wget, for now
DOWNLOAD=wget
WGET=wget
INSTALL_FIRMWARE=../../../build_tools/install_firmware
RUN_INST=$(INSTALL_FIRMWARE) $(1) $(2) $(DESTDIR)

# If "fetch" is used, --continue is not a valid option.
ifeq ($(WGET),wget)
WGET_ARGS:=--continue
endif

all: $(FIRMWARE)

# Clean up any downloaded/extracted firmware packages
dist-clean: clean
	rm -f dahdi-fw-*.bin
	rm -f dahdi-fw-*.tar.gz
	rm -f dahdi-fwload-*.tar.gz
	rm -f make_firmware_object

# Clean up anything we built
clean:
	rm -f dahdi-fw-*.o

# Download and extract firmware tarballs
dahdi-fw-%.tar.gz:
	@if ( [ "$(HOTPLUG_FIRMWARE)" = "no" ] ) || ( [ -d $(DESTDIR)/usr/lib/hotplug/firmware ] && ! [ -f $(DESTDIR)/usr/lib/hotplug/firmware/.$(subst .tar.gz,,$*) ] ) || ( [ -d $(DESTDIR)/lib/firmware ] && ! [ -f $(DESTDIR)/lib/firmware/.$(subst .tar.gz,,$*) ] ); then \
		echo "Attempting to download $@"; \
		if test ! -f $@; then $(DOWNLOAD) $(WGET_ARGS) $(FIRMWARE_URL)/$@; fi; \
		if test ! -f $@; then exit 1; fi; \
	fi

firmware-loaders: $(FWLOADERS)

.PHONY: dahdi-fwload-vpmadt032-$(VPMADT032_VERSION).tar.gz
dahdi-fwload-vpmadt032-$(VPMADT032_VERSION).tar.gz:
	@if test ! -f $@; then echo "Attempting to download $@"; $(DOWNLOAD) $(WGET_ARGS) $(FIRMWARE_URL)/$@; fi; \
	if test ! -f $@; then exit 1; fi; \
	(cd ../../..; cat drivers/dahdi/firmware/$@ | gzip -d | tar --no-same-owner -xf -)

# Create object files suitable for linking against
object-build: $(FIRMWARE) $(OBJECT_FILES)

$(DESTDIR)/usr/lib/hotplug/firmware $(DESTDIR)/lib/firmware:
	mkdir -p $@

# Install all downloaded firmware images for hotplug usage
hotplug-install: $(DESTDIR)/usr/lib/hotplug/firmware $(DESTDIR)/lib/firmware $(FIRMWARE)
	@$(call RUN_INST,dahdi-fw-oct6114-032,$(OCT6114_032_VERSION))
	@$(call RUN_INST,dahdi-fw-oct6114-064,$(OCT6114_064_VERSION))
	@$(call RUN_INST,dahdi-fw-oct6114-128,$(OCT6114_128_VERSION))
	@$(call RUN_INST,dahdi-fw-oct6114-256,$(OCT6114_256_VERSION))
	@$(call RUN_INST,dahdi-fw-tc400m,$(TC400M_VERSION))
	@$(call RUN_INST,dahdi-fw-hx8,$(HX8_VERSION))
	@$(call RUN_INST,dahdi-fw-vpmoct032,$(VPMOCT032_VERSION))
	@$(call RUN_INST,dahdi-fw-te820,$(WCT820_VERSION))
	@$(call RUN_INST,dahdi-fw-te133,$(TE133_VERSION))
	@$(call RUN_INST,dahdi-fw-te134,$(TE134_VERSION))
	@$(call RUN_INST,dahdi-fw-te435,$(TE435_VERSION))
	@$(call RUN_INST,dahdi-fw-te436,$(TE436_VERSION))
	@$(call RUN_INST,dahdi-fw-a8a,$(A8A_VERSION))
	@$(call RUN_INST,dahdi-fw-a8b,$(A8B_VERSION))
	@$(call RUN_INST,dahdi-fw-a4a,$(A4A_VERSION))
	@$(call RUN_INST,dahdi-fw-a4b,$(A4B_VERSION))

# Uninstall any installed dahdi firmware images from hotplug firmware directories
hotplug-uninstall:
	if [ -d $(DESTDIR)/usr/lib/hotplug/firmware ]; then \
		rm -f $(DESTDIR)/usr/lib/hotplug/firmware/dahdi-fw-*.bin; \
		rm -f $(DESTDIR)/usr/lib/hotplug/firmware/.dahdi-fw*; \
	fi
	if [ -d $(DESTDIR)/lib/firmware ]; then \
		rm -f $(DESTDIR)/lib/firmware/dahdi-fw-*.bin; \
		rm -f $(DESTDIR)/lib/firmware/.dahdi-fw*; \
	fi

make_firmware_object: make_firmware_object.in ../dahdi-base.o
	@export BFDNAME=`LANG=C objdump -f ../dahdi-base.o | grep -e "dahdi-base.o:" | sed "s/.*file format \(.*\)/\1/"`; \
	 export BFDARCH=`LANG=C objdump -f ../dahdi-base.o | grep -e "architecture:" | sed "s/.*ture: \(.*\),.*/\1/"`; \
	 sed -e s/BFDNAME/$${BFDNAME}/ -e s/BFDARCH/$${BFDARCH}/ $< > $@
	@chmod +x $@

# Build object file of an oct6114 032 firmware image for linking
dahdi-fw-oct6114-032.o: dahdi-fw-oct6114-032-$(OCT6114_032_VERSION).tar.gz dahdi-fw-oct6114-032.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-oct6114-032.bin
	./make_firmware_object dahdi-fw-oct6114-032.bin $@

# Build object file of an oct6114 064 firmware image for linking
dahdi-fw-oct6114-064.o: dahdi-fw-oct6114-064-$(OCT6114_064_VERSION).tar.gz dahdi-fw-oct6114-064.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-oct6114-064.bin
	./make_firmware_object dahdi-fw-oct6114-064.bin $@

# Build object file of an oct6114 128 firmware image for linking
dahdi-fw-oct6114-128.o: dahdi-fw-oct6114-128-$(OCT6114_128_VERSION).tar.gz dahdi-fw-oct6114-128.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-oct6114-128.bin
	./make_firmware_object dahdi-fw-oct6114-128.bin $@

# Build object file of an oct6114 256 firmware image for linking
dahdi-fw-oct6114-256.o: dahdi-fw-oct6114-256-$(OCT6114_256_VERSION).tar.gz dahdi-fw-oct6114-256.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-oct6114-256.bin
	./make_firmware_object dahdi-fw-oct6114-256.bin $@

# Build object file of a TC400M firmware image for linking
dahdi-fw-tc400m.o: dahdi-fw-tc400m-$(TC400M_VERSION).tar.gz dahdi-fw-tc400m.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-tc400m.bin
	./make_firmware_object dahdi-fw-tc400m.bin $@

# Build object file of a VPMOCT032 firmware image for linking
dahdi-fw-vpmoct032.o: dahdi-fw-vpmoct032-$(VPMOCT032_VERSION).tar.gz dahdi-fw-vpmoct032.bin make_firmware_object
	@echo Making firmware object file for dahdi-fw-vpmoct032.bin
	./make_firmware_object dahdi-fw-vpmoct032.bin $@

=== drivers/dahdi/oct612x/Makefile ===
#
# Produces the oct612x library
#
octapi_files = octdeviceapi/oct6100api/oct6100_api/oct6100_adpcm_chan.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_channel.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_chip_open.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_chip_stats.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_conf_bridge.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_debug.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_events.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_interrupts.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_memory.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_miscellaneous.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_mixer.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_phasing_tsst.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_playout_buf.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_remote_debug.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_tlv.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_tone_detection.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_tsi_cnct.o \
		octdeviceapi/oct6100api/oct6100_api/oct6100_tsst.o \
		apilib/bt/octapi_bt0.o \
		apilib/largmath/octapi_largmath.o \
		apilib/llman/octapi_llman.o

# TODO: ccflags was added in 2.6.24 in commit f77bf01425b11947eeb3b5b54. This
# should be changed to a conditional compilation based on the Kernel Version.
# ccflags-y := -I$(src)/.. -Wno-undef -I$(src)/include -I$(src)/octdeviceapi -I$(src)/octdeviceapi/oct6100api
EXTRA_CFLAGS = -I$(src)/.. -Wno-undef -I$(src)/include -I$(src)/octdeviceapi -I$(src)/octdeviceapi/oct6100api
lib-y := $(octapi_files)

=== drivers/dahdi/xpp/firmwares/Makefile ===
# Install firmwares and initialization scripts for the Astribank
# drivers

USB_FW		= USB_FW.hex USB_FW.201.hex USB_RECOV.hex
FPGA_FW		= FPGA_FXS.hex FPGA_1141.hex FPGA_1151.hex FPGA_1161.hex  \
		  FPGA_1161.201.hex FPGA_1161.202.hex
PIC_FW		= PIC_TYPE_1.hex PIC_TYPE_2.hex PIC_TYPE_3.hex PIC_TYPE_4.hex \
		  PIC_TYPE_6.hex
OCT_FW		= $(wildcard OCT6104E-256D.ima)
FIRMWARES	= $(USB_FW) $(FPGA_FW) $(PIC_FW) $(OCT_FW)
PROTO_VER	= 30
SCRIPTS_BASE	= $(patsubst %,init_card_%_$(PROTO_VER),1 2 3 4 5 6)
SCRIPTS		= $(SCRIPTS_BASE:%=../%)
TARGET		= $(DESTDIR)/usr/share/dahdi

all:

clean:

install:
	mkdir -p $(TARGET)
	install $(SCRIPTS) $(TARGET)/
	install -m 644 ../XppConfig.pm $(FIRMWARES) $(TARGET)/
	for id in 202 203; do \
		if [ ! -r $(TARGET)/USB_FW.$$id.hex ]; then \
			ln -s USB_FW.201.hex $(TARGET)/USB_FW.$$id.hex;\
		fi; \
	done
	if [ ! -r $(TARGET)/FPGA_1161.203.hex ]; then \
		ln -s FPGA_1161.201.hex $(TARGET)/FPGA_1161.203.hex;\
	fi

## osmocom-dahdi-linux 0.0~git20241003.b2ea348

=== debian/changelog ===
osmocom-dahdi-linux (0.0~git20241003.b2ea348-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms, let dh_dkms generate the maintainer scripts.
  * dkms.conf: Set KVERS in MAKE/CLEAN directives.  (Closes: #1095643)
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4.15" for the API of
    timer_setup() and friends.
  * dkms.conf: Declare BUILD_EXCLUSIVE_CONFIG="CONFIG_PPP" since
    CONFIG_DAHDI_PPP is enabled unconditionally.
  * dkms.conf: Declare BUILD_EXCLUSIVE_CONFIG="CONFIG_HDLC" since hdlc_open()
    and friends are used unconditionally.
  * osmocom-dahdi-dkms: Enable autopkgtests.
  * osmocom-dahdi-dkms: Fix conflict on dahdi-dkms.
  * Drop unusable -source package.
  * Replace debian/national-encoding.sh with a patch.
  * Simplify debian/rules.
  * ^^^ thanks a lot for this work

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Feb 2025 21:13:06 +0100

osmocom-dahdi-linux (0.0~git20241003.b2ea348-1) unstable; urgency=medium

  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 13 Oct 2024 21:13:06 +0000

osmocom-dahdi-linux (0.0~git20240501.43332ac-1) unstable; urgency=medium

  [ Nathan Doris ]
  * debian/control
   - Dependencies: added dh-dkms and tar, removed pkgconf
   - Split into 3 packages, osmocom-dahdi-linux, -source, -dkms
  * debian/copyright - initial
  * debian/dkms.in - dkms conf file
  * debian *.install
   - osmocom-dahdi-linux, osmocom-dahdi-source, osmocom-dahdi-dkms
  * debian/*.postinst.in, *.prerm.in
   - scripts for DKMS build/install/clean
  * debian/rules - initial
  * debian/patches - no_firmware_download.patch
  * debian/national-encoding.sh - script file to fix lintian warning

  [ Thorsten Alteholz ]
  * New upstream release.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 03 Oct 2024 23:20:55 +0200

=== debian/control ===
Source: osmocom-dahdi-linux
Maintainer: Debian Mobcom Maintainers <Debian-mobcom-maintainers@lists.alioth.debian.org>
Uploaders: Thorsten Alteholz <debian@alteholz.de>,
           Nate Doris <nate.doris@gmail.com>
Section: comm
Priority: optional
Build-Depends:
               debhelper-compat (= 13),
               dh-sequence-dkms,
Standards-Version: 4.7.0
Homepage: https://gitea.osmocom.org/retronetworking/dahdi-linux
Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmocom-dahdi-linux
Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmocom-dahdi-linux.git
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-dkms

Package: osmocom-dahdi-linux
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends:
         ${misc:Depends},
         osmocom-dahdi-dkms
Conflicts: dahdi-linux,
           osmocom-dahdi-source,
Description: DAHDI Linux contains a minimal set of helper tools
 DAHDI stands for Digium Asterisk Hardware Device Interface.
 This is a fork by Osmocom that reintroduces support for old
 hardware and adds support for Osmocom ice1usb adapter.

Package: osmocom-dahdi-dkms
Architecture: all
Section: kernel
Depends: ${misc:Depends}
Recommends: osmocom-dahdi-linux,
Conflicts: dahdi-dkms
Description: Kernel module package maintained by DKMS
 DAHDI DKMS as the name implies uses DKMS to build and install
 kernel modules into your kernel tree. DKMS will maintain the
 modules every kernel update.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem none

execute_after_dh_install:
	dh_install -posmocom-dahdi-dkms \
		-XLICENSE.firmware -XREADME \
		Makefile build_tools drivers include \
		usr/src/osmocom-dahdi-$(DEB_VERSION_UPSTREAM)/

## osmocom-dahdi-linux 0.0~git20250226.6dada77

=== debian/changelog ===
osmocom-dahdi-linux (0.0~git20250226.6dada77-3) unstable; urgency=medium

  * take care of piuparts and autopkgtest issues
  * some modules have to be deactivated due to missing symbols
    (needs to be further investigated)

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 24 Oct 2025 18:10:34 +0200

osmocom-dahdi-linux (0.0~git20250226.6dada77-2) unstable; urgency=medium

  * add openssl as dependency of dkms package to generate certificate

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 17 Sep 2025 08:10:34 +0200

osmocom-dahdi-linux (0.0~git20250226.6dada77-1) unstable; urgency=medium

  * New upstream release. (Closes: #1106552)
  * debian/control: bump standard to 4.7.2 (no changes)
  * add debian/gbp.conf
  * add 1190-timer_setup.patch to sync with dahdi-linux
    (Closes: #1102475)
    (thanks a lot to Andreas Beckmann)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Sep 2025 08:10:34 +0000

osmocom-dahdi-linux (0.0~git20241003.b2ea348-4) unstable; urgency=medium

  * add dkms patch from Agathe Porte Thanks a lot!
    (Closes: #1100050)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 10 Mar 2025 23:13:06 +0100

osmocom-dahdi-linux (0.0~git20241003.b2ea348-3) unstable; urgency=medium

  * introduce osmocom-dahdi-linux-dev, which contains header files needed
    by other osmocom packages

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 07 Mar 2025 23:13:06 +0100

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,9 @@
            Nate Doris <nate.doris@gmail.com>
 Section: comm
 Priority: optional
-Build-Depends:
-               debhelper-compat (= 13),
-               dh-sequence-dkms,
-Standards-Version: 4.7.0
+Build-Depends: debhelper-compat (= 13),
+               dh-dkms,
+Standards-Version: 4.7.2
 Homepage: https://gitea.osmocom.org/retronetworking/dahdi-linux
 Vcs-Browser: https://salsa.debian.org/debian-mobcom-team/osmocom-dahdi-linux
 Vcs-Git: https://salsa.debian.org/debian-mobcom-team/osmocom-dahdi-linux.git
@@ -17,8 +16,7 @@
 Package: osmocom-dahdi-linux
 Architecture: all
 Pre-Depends: ${misc:Pre-Depends}
-Depends:
-         ${misc:Depends},
+Depends: ${misc:Depends},
          osmocom-dahdi-dkms
 Conflicts: dahdi-linux,
            osmocom-dahdi-source,
@@ -30,10 +28,24 @@
 Package: osmocom-dahdi-dkms
 Architecture: all
 Section: kernel
-Depends: ${misc:Depends}
+Depends: ${misc:Depends}, openssl
 Recommends: osmocom-dahdi-linux,
 Conflicts: dahdi-dkms
 Description: Kernel module package maintained by DKMS
  DAHDI DKMS as the name implies uses DKMS to build and install
  kernel modules into your kernel tree. DKMS will maintain the
  modules every kernel update.
+
+Package: osmocom-dahdi-linux-dev
+Architecture: all
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}
+Conflicts: dahdi-source,
+           osmocom-dahdi-source
+Description: DAHDI Linux development files
+ DAHDI stands for Digium Asterisk Hardware Device Interface.
+ This is a fork by Osmocom that reintroduces support for old
+ hardware and adds support for Osmocom ice1usb adapter.
+ .
+ This package contains header files that are needed by other
+ osmocom packages.

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none uversionmangle=s/^/osmocom/" \
git://git.osmocom.org/dahdi-linux \
HEAD debian uupdate
